Main Page | Class List | File List | Class Members | File Members | Related Pages

# http_da_data Struct Reference

Plugin data to override callbacks. More...

`#include <httpda.h>`

List of all members.

## Public Attributes
int(* | fposthdr )(struct soap *, const char *, const char *)
int(* | fparse )(struct soap *)
int(* | fparsehdr )(struct soap *, const char *, const char *)
int(* | fprepareinitsend )(struct soap *)
int(* | fprepareinitrecv )(struct soap *)
int(* | fpreparesend )(struct soap *, const char *, size_t)
int(* | fpreparerecv )(struct soap *, const char *, size_t)
int(* | fpreparefinalrecv )(struct soap *)
void * | context
char | digest [16]
char * | nonce
char * | opaque
char * | qop
char * | alg
unsigned long | nc
char * | ncount
char * | cnonce
char * | response

## Detailed Description

Plugin data to override callbacks.

## Member Data Documentation

char* http_da_data::alg

| client-side: server's algorithm value

char* http_da_data::cnonce

| server-side: client's nonce

void* http_da_data::context

| ptr to MD5 context for MD5 handler

char http_da_data::digest[16]

| MD5 entity body digest

int(* http_da_data::fparse)(struct soap *)

int(* http_da_data::fparsehdr)(struct soap *, const char *, const char *)

int(* http_da_data::fposthdr)(struct soap *, const char *, const char *)

int(* http_da_data::fpreparefinalrecv)(struct soap *)

int(* http_da_data::fprepareinitrecv)(struct soap *)

int(* http_da_data::fprepareinitsend)(struct soap *)

int(* http_da_data::fpreparerecv)(struct soap *, const char *, size_t)

int(* http_da_data::fpreparesend)(struct soap *, const char *, size_t)

unsigned long http_da_data::nc

| client-side: generated nonce count

char* http_da_data::ncount

| server-side: client's nonce count

char* http_da_data::nonce

| client/server-side copy of server's nonce value

char* http_da_data::opaque

| client/server-side copy of server's opaque value

char* http_da_data::qop

| client/server-side copy of server's qop value(s)

char* http_da_data::response

| server-side: client's response digest key

The documentation for this struct was generated from the following file:

- /Users/engelen/Projects/gsoap/plugin/httpda.h